﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace Schedule_Project
{
	public class ScheduleClass : ContentPage
	{

		SfSchedule schedule;
		ScheduleAppointmentCollection scheduleAppointmentCollection { get; set; }
		Button button;
		public ScheduleClass()
		{
			schedule = new SfSchedule();
			schedule.DataSource = scheduleAppointmentCollection;
			schedule.ScheduleView = ScheduleView.WeekView;
			schedule.VerticalOptions = LayoutOptions.FillAndExpand;
			scheduleAppointmentCollection = new ScheduleAppointmentCollection();

			ScheduleAppointment scheduleAppointment = new ScheduleAppointment();
			scheduleAppointment.StartTime = DateTime.Now.Date.AddHours(11);
			scheduleAppointment.EndTime = DateTime.Now.Date.AddHours(12);
			scheduleAppointment.Subject = "Consulting";
			scheduleAppointment.Color = Color.Green;
			scheduleAppointmentCollection.Add(scheduleAppointment);
			schedule.DataSource = scheduleAppointmentCollection;

			button = new Button();
			button.HeightRequest = 30;
			button.WidthRequest = 30;
			button.BackgroundColor = Color.Green;
			button.Clicked+= Button_Clicked;

			StackLayout stackLayout = new StackLayout();
			stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;
			stackLayout.Children.Add(button);
			stackLayout.Children.Add(schedule);
			this.Content = stackLayout;
		}

		void Button_Clicked(object sender, EventArgs e)
		{
			ScheduleAppointment meeting = new ScheduleAppointment();
			meeting.StartTime = DateTime.Now.Date.AddDays(-1).AddHours(9);
			meeting.EndTime =DateTime.Now.Date.AddDays(-1).AddHours(10);
			meeting.Subject = "Meeting";
			meeting.Color = Color.Red;
			scheduleAppointmentCollection.Add(meeting);
		}
	}
}


